import urllib.request
import os

url = "http://www.navixtreme.com/playlist/150702/"
filename = "raw.txt"
url_list = []
name_list =[]
M3U_list = []
M3U_name_list = []

urllib.request.urlretrieve(url, filename)

# Turning the original RTMP/HTTP's and the names of each stream to fit to the format of M3U's:
open("navix_urls.txt", "w").writelines([l for l in open("raw.txt").readlines() if "URL" in l])

with open("navix_urls.txt", "r") as f:
    url_list = [line.strip() for line in f]

url_list = [item.lower() for item in url_list]

for x in range(len(url_list)):
    if url_list[x][3] == "=":
        M3U_list.append(url_list[x][4:len(url_list[x])])

open("navix_names.txt", "w").writelines([l for l in open("raw.txt").readlines() if "name" in l])

with open("navix_names.txt", "r") as f:
    name_list = [line.strip() for line in f]

for x in range(len(name_list)):
    if name_list[x][4] == "=":
        M3U_name_list.append(name_list[x][5:len(name_list[x])])

os.remove("raw.txt")
os.remove("navix_urls.txt")
os.remove("navix_names.txt")

#Placing both the RTMP/HTTP's and their corresponding names in a M3U(EXTM3U) file:
with open("navi-x.m3u","w") as M3U_file:
    M3U_file.write("#EXTM3U\n")

    for x in range(len(M3U_list)):
        M3U_file.write("#EXTINF:0,")
        M3U_file.write(M3U_name_list[x])
        M3U_file.write("\n")
        M3U_file.write(M3U_list[x])
        M3U_file.write("\n")

M3U_file.close()









